New opsi packages in 4.0.5 testing

Benutzeravatar
m.scalese
Beiträge: 31
Registriert: 22 Aug 2014, 09:13

New opsi packages in 4.0.5 testing

Beitragvon m.scalese » 02 Jun 2015, 15:32

Dear opsi-users,

today we are releasing a series of updates for 4.0.5 as testing.

---------------------------------------------------------------------
The updates in a nutshell:

* Opsi4ucs: release and fixes for UCS 4.0 and 3.2
* Opsi-winst: Feature for User Profile Management
* Python-opsi: adjustments for hardware inventory
* Opsi-configed: Additional entries when you create a client.
Activation of extensions via GUI. Fixes.
* Opsi Netboot products Windows: Windows 10 is available
* Opsi-linux support: New packages for Debian and Ubuntu
* Further fixes and notes

---------------------------------------------------------------------

opsi4ucs:
With this release fixes and improvements for the
UCS 4.0 support were made, as well as for the UCS 3.2 support.
One major change is the opsifileadmins group. This
Group has already been introduced with the support of UCS 3.0,
but only on installations that had Samba 4 and the Univention
Directory Services (Samba4-AD). In all other
Variants and roles the group continues to be, as it was before pcpatch.
Since this situation represents a problem not only on the installation,
but could also lead to potential problems with migrations
(Especially of Samba3 on Samba4) with this release the pcpatch group
will be created with the id opsifileadmins group,
no matter what combination of UCS 3.2 / 4.0 or Samba3 / Samba4
is found during installation.

WARNING: To implement the integration package in a clean way,
the group will pcpatch, will be renamed automatically
on the integration package in opsifileadmins.
This is done via the join script. If your config server is run on a
Master or backup, the join script will be automatically
executed.

The main reason for this drastic measure is that the manual
Rename of this group is not trivial, because it comes to be a
primary group. Therefore it is recommended before installing
this update to make sure that your group is still named pcpatch. If
so, the update should be started with the config server and soon afterwards
on the Depot servers as well, otherwise the operation on
Multi Depots environments could lead to issues. This should not be the case,
if your group already has a different name. Nevertheless, it is recommended after
Importing the update to check every opsi server to verify complete functionality.

Another new feature:
If no Samba is installed on the system, the univention-samba4 will be installed per default.
If a Samba3 installation is desired, you must manually install the univention-samba3
before the actual opsi installation.

opsi-winst:
This update is important for users of the now free
Module: 'User Profile Management'. With this fix, it is possible via
a login script to patch the HKLM branch. (Backport of 4.0.6).

Python opsi:
With this python-opsi version, the opsihwaudit.conf was adjusted.
The change is in preparation as a backport for opsi 4.0.6
Release and adds a new attribute under COMPUTER_SYSTEM "SKU". SKU
stands for "stock keeping unit". Since opsi 4.0.5 is in hwinvent as testing,
besides Computer model, the SKU read. This has lead
to confusion and problems, specifically on the byAudit
Driver integration. This SKU can also be very useful under some circumstances,
because the computer types can nevertheless differ, although
the mark and model are identical. This depends mostly, on
which depot made the delivery or the delayed orders
of the same hardware models.

opsi-configed:
Since the last update release, we've added in the configed some "small"
Visible changes. In addition, some rare
observed defects will be corrected.

The most important on a Visual Spectrum:
When creating clients you now can directly for the new client
specify to which group it should belong, as well as which netboot product
should be directly set on setup. In addition, you can activate directly the
Install by shutdown, UEFI Boot and the (standard) WAN configuration from the beggining.
These settings can now easily be made in the Hosts-List.

A deep-seated error was repaired in large scale environments
that caused configed on Windows, if the mark of 10000 clients was reached, to render the opening of the Properties edit window no longer possible.

opsi Windows Netboot products:
New products for Windows 10 (32/64 Bit).
To that a few notes:
The opsi-winst function GetMsVersionInfo reports on Windows 10 as: '10 .0 '.
This means that a distinction between NT5 and NT6 after
Pattern:
IF GetMsVersionInfo <"6"
delivers a false answer because, in this case as per(string comparison) 1 <6 is.
It is better here to select the following function:
IF CompareDotSeparatedNumbers (GetMsVersionInfo, "6.0") <"0"


opsi-linux support:
New packages for Debian and Ubuntu

In addition, a number of small problems has been fixed.
-------------------------------------------------
Due to recent events, a note to Debian 8 (Jessie) as a basis for
an opsi-server is needed:

Debian Jessie as a basis for the opsi-server is not yet officially supported.
Therefore, the application for production environments is not recommended.
For testing purposes you can use as a package source:
deb
http://download.opensuse.org/repositori ... Debian_8.0
./

Debian Jessie has SSLv3 disabled (it also appears as it will not let you turn it back on), so for Windows you need the
Reinstallation of a Jessie Server from an opsi-client-agent with
opsi-winst 4.11.4.19 (TLS 1.2):

http://download.uib.de/opsi4.0/experime ... 5.4-3.opsi

or
opsi-winst 4.11.4.19 (now works with TLS 1.2.)
(
http://download.uib.de/opsi4.0/experime ... .19-1.opsi
)

Other known issues:

The boot image has problems with the share opsi_depot per mount.cifs to
mount. It looks like as per previous tests that these problems
do not show up, if you are not running the server on winbindd.

Winbindd start, should be disable with:
systemctl disable winbind
or run with
insserv -r winbind.

--------------------------------------------------------------------

Up to date packages in detail:

OS-Packages:
python-opsi 4.0.5.18-2
opsi4ucs 4.0.5.7-1
opsiconfd 4.0.5.3-2
opsi-nagios-plugins 4.0.5.1-1
digitec-opsi-listener 1.2-1
opsi-configed_4.0.5.8-1_all.deb

opsi-packages:
opsi-winst/opsi-script 4.11.4.18
ubuntu 4.0.5-10
debian-4.0.5-7
win10-x64_4.0.5-7.opsi
win10_4.0.5-7.opsi

--------------------------------------------------------------------
Changelogs:

opsi-configed (4.0.5.8-1) testing; urgency=medium
* replace terminating '.' or ' ' in path string for byAudit path
by '_' (requires bootimage 4.0.6)
* extended create client dialog
* reload function for client table
* load productPropertyState by getRawData
* removed exception of ReachableUpdate when updating the model
* fix: on host refresh, a host configs refresh is necessary
* configed default logdir for windows move to localappdata dir
* hostparameter editor leaked and reached window handle maximum,
fixed by multiton pattern
* on authentication password corection was not observed
* in case of querysavedsearch we omit any console output
* with depot properties editing, a depot selection is kept when
changing product
* fixed that the connection state was not correctly identified which
led to errors in file backend
* WAN config by checkbox
* option for case sensitive search
* wan config is internally handled like other configs

-- Rupert Roeder <r.roeder@uib.de> Fri, 17 Apr 2015 13:58:44 +0200
---------------------------------------------
python-opsi (4.0.5.18-2) testing; urgency=low

* source/format file removed from debian packaging

-- Erol Ueluekmen <e.ueluekmen@uib.de> Thu, 21 May 2015 15:34:20 +0200

python-opsi (4.0.5.18-1) stable; urgency=low

* opsihwaudit.conf: Added COMPUTER_SYSTEM.sku (on Windows > Vista/Win7)

-- Erol Ueluekmen <e.ueluekmen@uib.de> Fri, 08 May 2015 01:01:37 +0200
---------------------------------------------
opsi4ucs (4.0.5.7-1) testing; urgency=medium

* Renaming pcpatch to opsifileadmins group, if exists in domain.
* Package-Dependencies changed:
- dhcp3-server removed
- samba removed; univention-samba4 is now default

-- Erol Ueluekmen <e.ueluekmen@uib.de> Sun, 03 May 2015 23:52:14 +0200
---------------------------------------------
opsiconfd (4.0.5.3-2) testing; urgency=low

* source/format file removed from debian packaging

-- Erol Ueluekmen <e.ueluekmen@uib.de> Thu, 21 May 2015 15:15:09 +0200
---------------------------------------------
opsi-winst/opsi-script (4.11.4.18) stable; urgency=low

* osparser: doRegistryHack* : fix for not HKCU reg entries in
loginscripts; fixes #1538 (backport from 4.11.5)

-- Detlef Oertel <d.oertel@uib.de> Tue, 05 May 2015:15:00:00 +0200
---------------------------------------------
ubuntu-4.0.5-10 stable; urgency=low

* fix: install opsi-linux-client-agent dependencies before the agent

-- Detlef Oertel <d.oertel@uib.de> Thu, 07 May 2015:15:00:00 +0200
---------------------------------------------
debian-4.0.5-7 stable; urgency=low

* jessie (Debian 8) support
* fix: install opsi-linux-client-agent dependencies before the agent

-- Detlef Oertel <d.oertel@uib.de> Thu, 09 Apr 2015:15:00:00 +0200
---------------------------------------------
opsi-nagios-plugins (4.0.5.1-1) testing; urgency=low

* removed dependency for nagios3.

-- Erol Ueluekmen <e.ueluekmen@uib.de> Mon, 10 Nov 2014 13:24:56 +0100
---------------------------------------------
digitec-opsi-listener (1.2-1) testing; urgency=low

* univention-config-dev added to build dependencies.

-- Erol Ueluekmen <e.ueluekmen@uib.de> Fri, 06 Feb 2015 15:11:56 +0100

digitec-opsi-listener (1.2-0) unstable; urgency=low

* changed the way how mac addresses are updated. If the current opsi
mac is in
the ucs ldap object, the opsi mac address is not updated.

-- Sven Anders <s.anders@digitec.de> Fri, 06 Feb 2015 13:50:31 +0100


As always, kind regards,

Martin Scalese.
opsi support - uib gmbh
For productive opsi installations we recommend support contracts.

http://www.uib.de